Delicious      Technorati      Blinklist      Furl      Reddit

TimeTrex Time and Attendance

TimeTrex Time and Attendance


* FAQ    * Search
* Login   * Register

All times are UTC - 8 hours [ DST ]




Post new topic Reply to topic  [ 2 posts ] 
Author Message
PostPosted: Mon Dec 12, 2016 9:05 pm 
Offline

Joined: Mon Dec 12, 2016 7:31 pm
Posts: 2
I believe that my issue is resolved. I am posting this in the hope that it might be useful to someone else.

Symptom: On Dec 10th a red bar appeared at the top of the TimeTrex screen saying "TimeTrex automatic upgrade has failed due to a system error! Please contact your TimeTrex administrator immediately to re-run the TimeTrex installer to correct the issue."

Conditions:
TimeTrex version 9.1.3
OS Ubuntu Xenial (16.04.1 LTS)
Install type manual
Database psql (PostgreSQL) 9.5.5
Webserver Apache

Logs:
timetrex.log contained the following
Code:
DEBUG [L0494] [18017ms]: [Function](): Checking new version system requirements.
.. Command: "/usr/bin/php" "/var/timetrex/cache/upgrade_staging//latest_version/
tools/unattended_upgrade.php" --config "/usr/share/TimeTrex_Community_Edition_v
DEBUG [L0494] [18017ms]: [Function](): 9.1.3/includes/../timetrex.ini.php" --req
uirements_only Exit Code: 1
DEBUG [L0523] [18017ms]: [Function](): ERROR: New version system requirements no
t met...


Running this from command line ...
Code:
/usr/bin/php /var/timetrex/cache/upgrade_staging/latest_version/tools/unattended_upgrade.php --config /usr/share/TimeTrex_Community_Edition_v9.1.3/includes/../timetrex.ini.php --requirements_only


... produced the following result.
Code:
----WARNING----WARNING----WARNING-----
--------------------------------------
Minimum PHP Requirements are NOT met!!
--------------------------------------
Failed Requirements: CURL
--------------------------------------
PHP INI: /etc/php/7.0/cli/php.ini
Process Owner: root
--------------------------------------


Failed Requirements: Require,CURL


I installed CURL with
Code:
apt-get install php7.0-curl


I re-ran the requirement check....
Code:
/usr/bin/php /var/timetrex/cache/upgrade_staging/latest_version/tools/unattended_upgrade.php --config /usr/share/TimeTrex_Community_Edition_v9.1.3/includes/../timetrex.ini.php --requirements_only


... and this time it said.
Code:
Requirements all pass successfully!


It appears to try to install on a schedule and my users took 3 days to tell me about the problem :roll: so I am going to let it do the install automatically the next time it tries to do it. I will report back, but I am confident that it will work.


Top
 Profile  
 
PostPosted: Wed Dec 14, 2016 4:07 am 
Offline

Joined: Mon Dec 12, 2016 7:31 pm
Posts: 2
Yes. It did just what it was supposed to.


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 2 posts ] 

All times are UTC - 8 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron


Time and Attendance




Powered by phpBB® Forum Software © phpBB Group